Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F146443378
D18881.id52993.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D18881.id52993.diff
View Options
Index: usr.sbin/freebsd-update/freebsd-update.sh
===================================================================
--- usr.sbin/freebsd-update/freebsd-update.sh
+++ usr.sbin/freebsd-update/freebsd-update.sh
@@ -667,17 +667,23 @@
FETCHDIR=${RELNUM}/${ARCH}
PATCHDIR=${RELNUM}/${ARCH}/bp
- # Disallow upgrade from a version that is not `-RELEASE`
- if ! echo "${RELNUM}" | grep -qE -- "-RELEASE$"; then
- echo -n "`basename $0`: "
- cat <<- EOF
- Cannot upgrade from a version that is not a '-RELEASE' using `basename $0`.
- Instead, FreeBSD can be directly upgraded by source or upgraded to a
- RELEASE/RELENG version prior to running `basename $0`.
- EOF
- echo "System version: ${RELNUM}"
- exit 1
- fi
+ # Disallow upgrade from a version that is not a release
+ case ${RELNUM} in
+ *-RELEASE | *-ALPHA* | *-BETA* | *-RC*)
+ ;;
+ *)
+ echo -n "`basename $0`: "
+ cat <<- EOF
+ Cannot upgrade from a version that is not a release
+ (including alpha, beta and release candidates)
+ using `basename $0`. Instead, FreeBSD can be directly
+ upgraded by source or upgraded to a RELEASE/RELENG version
+ prior to running `basename $0`.
+ EOF
+ echo "System version: ${RELNUM}"
+ exit 1
+ ;;
+ esac
# Figure out what directory contains the running kernel
BOOTFILE=`sysctl -n kern.bootfile`
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Tue, Mar 3, 5:56 PM (1 h, 53 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29173416
Default Alt Text
D18881.id52993.diff (1 KB)
Attached To
Mode
D18881: Allow upgrade from -BETA and -RC releases
Attached
Detach File
Event Timeline
Log In to Comment